kind: Deployment
apiVersion: apps/v1
metadata:
  name: cmii-uav-iot-dispatcher
  namespace: zygajg
  labels:
    app.kubernetes.io/app-version: 6.0.0
    app.kubernetes.io/managed-by: octopus-control
    cmii.app: cmii-uav-iot-dispatcher
    cmii.type: backend
    octopus/control: backend-app-1.0.0
spec:
  replicas: 1
  selector:
    matchLabels:
      cmii.app: cmii-uav-iot-dispatcher
      cmii.type: backend
  template:
    metadata:
      creationTimestamp: null
      labels:
        cmii.app: cmii-uav-iot-dispatcher
        cmii.type: backend
    spec:
      volumes:
        - name: nfs-backend-log-volume
          persistentVolumeClaim:
            claimName: nfs-backend-log-pvc
      containers:
        - name: cmii-uav-iot-dispatcher
          image: '80.192.1.46:8033/cmii/cmii-uav-iot-dispatcher:5.8.0'
          ports:
            - name: pod-port
              containerPort: 8080
              protocol: TCP
          env:
            - name: ENV
              value: develop
            - name: VERSION
              value: 6.0.0
            - name: NACOS_SYSTEM_CONFIG_NAME
              value: cmii-backend-system
            - name: NACOS_SERVICE_CONFIG_NAME
              value: cmii-uav-iot-dispatcher
            - name: NACOS_SERVER_ADDRESS
              value: 'helm-nacos:8848'
            - name: NACOS_NAMESPACE_ID
              value: public
            - name: NACOS_USERNAME
              value: nacos
            - name: NACOS_PASSWORD
              value: KingKong@95461234
            - name: SVC_NAME
              value: cmlc-uav-iot-dispatcher-svc
            - name: K8S_NAMESPACE
              value: zygajg
            - name: APPLICATION_NAME
              value: cmii-uav-iot-dispatcher
            - name: CUST_JAVA_OPTS
              value: '-Xms500m -Xmx2500m -Dlog4j2.formatMsgNoLookups=true'
            - name: NACOS_REGISTRY
              value: 'helm-nacos:8848'
            - name: NACOS_DISCOVERY_IP
              valueFrom:
                fieldRef:
                  apiVersion: v1
                  fieldPath: status.podIP
            - name: NACOS_DISCOVERY_PORT
              value: '8080'
            - name: BIZ_CONFIG_GROUP
              value: 6.0.0
            - name: SYS_CONFIG_GROUP
              value: 6.0.0
            - name: IMAGE_VERSION
              value: 6.0.0
          resources:
            limits:
              cpu: '2'
              memory: 3Gi
            requests:
              cpu: 200m
              memory: 500Mi
          volumeMounts:
            - name: nfs-backend-log-volume
              mountPath: /cmii/logs
              subPath: zygajg/cmii-uav-iot-dispatcher
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          imagePullPolicy: Always
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      imagePullSecrets:
        - name: harborsecret
      affinity: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 1
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
---
kind: Service
apiVersion: v1
metadata:
  name: cmii-uav-iot-dispatcher
  namespace: zygajg
  labels:
    app.kubernetes.io/app-version: 6.0.0
    app.kubernetes.io/managed-by: octopus-control
    cmii.app: cmii-uav-iot-dispatcher
    cmii.type: backend
    octopus/control: backend-app-1.0.0
spec:
  ports:
    - name: backend-tcp
      protocol: TCP
      port: 8080
      targetPort: 8080
  selector:
    cmii.app: cmii-uav-iot-dispatcher
    cmii.type: backend
  type: ClusterIP
  sessionAffinity: None



